import { ActiveRecord, ActiveRecords, RuntimeM2OField, RuntimeO2OField } from '@oinone/kunlun-engine';
import { ViewType } from '@oinone/kunlun-meta';
import { Condition } from '@oinone/kunlun-request';
import { ReturnPromise } from '@oinone/kunlun-shared';
import { IFormSubviewObjectFieldWidget, RefreshProcessFunction } from '../../../types';
import { FormComplexFieldProps } from '../FormComplexFieldWidget';
import { FormSubviewFieldWidget } from './FormSubviewFieldWidget';
export declare class FormSubviewObjectFieldWidget<Field extends RuntimeO2OField | RuntimeM2OField = RuntimeO2OField | RuntimeM2OField, Props extends FormComplexFieldProps<Field> = FormComplexFieldProps<Field>> extends FormSubviewFieldWidget<ActiveRecord, Field, Props> implements IFormSubviewObjectFieldWidget<Field> {
    protected defaultSubviewType: ViewType;
    initialize(props: any): this;
    protected parentRefreshProcess: RefreshProcessFunction | undefined;
    protected refreshProcess(condition?: Condition): Promise<void>;
    reloadDataSource(records: ActiveRecords | undefined): void;
    protected mountedProcess(): Promise<void>;
    protected refreshParentProcess(): Promise<void>;
    protected refreshValueProcess(): Promise<void>;
    /** 子视图数据变更，发起事件通知，不做其它处理 */
    private onValueChange;
    protected initSubviewData(): ReturnPromise<void>;
}
